package de.limited_dev.lil_judd.commands.components;

import de.limited_dev.lil_judd.commands.InfoCommand;
import de.limited_dev.lil_judd.commands.PingCommand;
import de.limited_dev.lil_judd.commands.SetupFeatureCommand;

import java.util.concurrent.CopyOnWriteArrayList;

public class CommandManager {

    private static CopyOnWriteArrayList<Command> commands = new CopyOnWriteArrayList<>();

    public static void registerCommands(){
        commands.add(new PingCommand());
        commands.add(new InfoCommand());
        commands.add(new SetupFeatureCommand());
    }

    public static CopyOnWriteArrayList<Command> getCommands() {
        return commands;
    }
}
