package de.limited_dev.lil_judd.commands.components;

import net.dv8tion.jda.api.interactions.commands.OptionType;

public class Option {

    private final OptionType type;
    private final String name;
    private final String description;
    private final boolean optional;

    public Option(OptionType type, String name, String description, boolean optional){
        this.type = type;
        this.name = name;
        this.description = description;
        this.optional = optional;
    }

    public OptionType getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public boolean isOptional() {
        return optional;
    }
}
