package de.limited_dev.lil_judd.listeners;

import de.limited_dev.lil_judd.Main;
import de.limited_dev.lil_judd.util.Logger;
import net.dv8tion.jda.api.events.ReadyEvent;
import net.dv8tion.jda.api.hooks.ListenerAdapter;
import org.jetbrains.annotations.NotNull;

public class ReadyListener extends ListenerAdapter {
    private final Logger lgr = Main.getLgr();

    @Override
    public void onReady(@NotNull ReadyEvent event) {
        String usernameOfSelf = Main.getJda().getSelfUser().getName();
        lgr.info("Logged into: " + usernameOfSelf);
        lgr.info(usernameOfSelf + " is ready for Freddy");
    }
}
